Bug 244960 - emulators/dosbox: enable mouse locking with X.org newer than 1.20
Summary: emulators/dosbox: enable mouse locking with X.org newer than 1.20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-21 19:33 UTC by Tobias Rehbein
Modified: 2020-03-24 11:35 UTC (History)
2 users (show)

See Also:
knyght: maintainer-feedback+


Attachments
svn diff (1.25 KB, patch)
2020-03-21 19:33 UTC, Tobias Rehbein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Rehbein 2020-03-21 19:33:24 UTC
Created attachment 212589 [details]
svn diff

With newer X.org version it was impossible to lock the mouse in a windowed dosbox. This has been discussed on vogons.org[1] and was fixed in dosbox for Linux. I have verified that the same workaround fixes in FreeBSD. The attached patch enables the workaround for FreeBSD.

[1]: https://www.vogons.org/viewtopic.php?f=31&t=62703

* poudriere testport: ok
Comment 1 Tom Carrick 2020-03-22 16:56:11 UTC
I looked through the patch and the Vogons topic, it looks good to me. It would be better if they fix this upstream but releases are sporadic enough that this is worth adding until that happens.
Comment 2 commit-hook freebsd_committer 2020-03-24 11:22:17 UTC
A commit references this bug:

Author: fernape
Date: Tue Mar 24 11:21:53 UTC 2020
New revision: 529043
URL: https://svnweb.freebsd.org/changeset/ports/529043

Log:
  emulators/dosbox: enable mouse locking with X.org newer than 1.20

  References: https://www.vogons.org/viewtopic.php?f=31&t=62703

  PR:     244960
  Submitted by:   tobias.rehbein@web.de
  Reviewed by:    knyght@gmail.com (maintainer)

Changes:
  head/emulators/dosbox/Makefile
  head/emulators/dosbox/files/patch-src_gui_sdlmain.cpp
Comment 3 Fernando Apesteguía freebsd_committer 2020-03-24 11:35:00 UTC
Committed,

Thanks!